"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SupportedOrgFilter = void 0;
const noTags_1 = require("./noTags");
const silverstripe_cms_meta_1 = require("silverstripe-cms-meta");
class SupportedOrgFilter {
    constructor(_name) {
        this._name = _name;
        this.name = this.name.bind(this);
        this.includeRepo = this.includeRepo.bind(this);
        this.includeBranch = this.includeBranch.bind(this);
    }
    name() {
        return this._name;
    }
    includeRepo({ name }) {
        return !!silverstripe_cms_meta_1.data.find(module => module.repo === `${this._name}/${name}`);
    }
    includeBranch({ name }) {
        return noTags_1.noTags(name);
    }
}
exports.SupportedOrgFilter = SupportedOrgFilter;
