import { Repository } from './TravisTypes/Repository';
declare class TravisClient {
    private token;
    private log;
    private client;
    private throttler;
    constructor(token: string, domain?: 'com' | 'org', log?: (msg: string) => void);
    private args;
    get(endpoint: string, params?: any): Promise<any>;
    getAll(endpoint: string, key: string, parameters?: any): Promise<any>;
    getFirst(endpoint: string, key: string, parameters?: any): Promise<any>;
    getRepos(org: string): Promise<Repository[]>;
    getBranches(repo: string): Promise<boolean | {
        last_build: any;
        name: string;
        repository: Repository;
    }[]>;
    getLastBuildForBranch(repo: string, branch: string): Promise<any>;
}
export { TravisClient };
