import { Command, flags } from '@oclif/command';
import * as Config from '@oclif/config';
import { Branch } from './TravisTypes/Branch';
declare class FetchTravisData extends Command {
    private client;
    static description: string;
    static flags: {
        version: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        token: flags.IOptionFlag<string | undefined>;
        domain: flags.IOptionFlag<string>;
        output: flags.IOptionFlag<string>;
        failed: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        verbose: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    static args: {
        name: string;
    }[];
    constructor(argv: string[], config: Config.IConfig);
    private getOrgs;
    run(): Promise<void>;
    /**
     * Filter out failed branches
     * @param branches
     */
    filterFailed(branches: Branch[]): Branch[];
    toJson(branches: Branch[]): void;
    printBranches(branches: Branch[]): void;
    print(branch: Branch): void;
    private getBuildsForOrgs;
    private getBuildsForOrg;
    private buildURL;
}
export = FetchTravisData;
